{
    attributes = (
        {
            columnName = ALOG_ORDRE; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = ROW_ID; }; 
            name = aLogOrdre; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            definition = "to_date(to_char(dCreation,'dd/mm/yyyy'),'dd/mm/yyyy')"; 
            externalType = DATE; 
            name = dCreationFormatee; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = LOGIN; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = USER_NOM_USUEL; }; 
            name = login; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = OPERATION; 
            externalType = VARCHAR2; 
            name = operation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            definition = "replace(replace(operation,chr(10),''),'    ','')"; 
            externalType = VARCHAR2; 
            name = operationFormatee; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            columnName = PERS_ID; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = USER_PERS_ID; }; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    className = EOAnnuaireLog; 
    classProperties = (dCreation, login, persId, operation, dCreationFormatee, operationFormatee); 
    externalName = ANNUAIRE_LOG; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (
            dCreation, 
            noIndividu, 
            userNoIndividu, 
            userNomUsuel, 
            userPersId, 
            operation, 
            login, 
            persId, 
            operation1, 
            operationClean, 
            dCreationFormatee, 
            operation1, 
            operationFormatee
        ); 
    }; 
    name = AnnuaireLog; 
    primaryKeyAttributes = (aLogOrdre); 
}
